"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnginePluginsFactoryImpl = void 0;
const ESLintEngineModule = __importStar(require("@salesforce/code-analyzer-eslint-engine"));
const PmdCpdEnginesModule = __importStar(require("@salesforce/code-analyzer-pmd-engine"));
const RetireJSEngineModule = __importStar(require("@salesforce/code-analyzer-retirejs-engine"));
const RegexEngineModule = __importStar(require("@salesforce/code-analyzer-regex-engine"));
const FlowTestEngineModule = __importStar(require("@salesforce/code-analyzer-flowtest-engine"));
const SfgeEngineModule = __importStar(require("@salesforce/code-analyzer-sfge-engine"));
class EnginePluginsFactoryImpl {
    create() {
        return [
            ESLintEngineModule.createEnginePlugin(),
            PmdCpdEnginesModule.createEnginePlugin(),
            RetireJSEngineModule.createEnginePlugin(),
            RegexEngineModule.createEnginePlugin(),
            FlowTestEngineModule.createEnginePlugin(),
            SfgeEngineModule.createEnginePlugin()
        ];
    }
}
exports.EnginePluginsFactoryImpl = EnginePluginsFactoryImpl;
//# sourceMappingURL=EnginePluginsFactory.js.map